//Skybox

textures/bb_dbr/sc
{
	qer_editorimage textures/bb_dbr/sc.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
	q3map_LightMapFilterRadius 0 8
	q3map_lightRGB 1 1 1
	q3map_skylight 50 4 0 90 0
	nopicmip
	skyparms textures/bb_dbr/env/sc - -
	{
		map textures/bb_dbr/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/bb_dbr/sc_bk
{
	qer_editorimage textures/bb_dbr/env/sc_bk.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/bb_dbr/env/sc_bk.tga
		rgbGen identityLighting
	}
	{
		map textures/bb_dbr/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/bb_dbr/sc_dn
{
	qer_editorimage textures/bb_dbr/env/sc_dn.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/bb_dbr/env/sc_dn.tga
		rgbGen identityLighting
	}
	{
		map textures/bb_dbr/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/bb_dbr/sc_ft
{
	qer_editorimage textures/bb_dbr/env/sc_ft.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/bb_dbr/env/sc_ft.tga
		rgbGen identityLighting
	}
	{
		map textures/bb_dbr/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/bb_dbr/sc_lf
{
	qer_editorimage textures/bb_dbr/env/sc_lf.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/bb_dbr/env/sc_lf.tga
		rgbGen identityLighting
	}
	{
		map textures/bb_dbr/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/bb_dbr/sc_rt
{
	qer_editorimage textures/bb_dbr/env/sc_rt.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/bb_dbr/env/sc_rt.tga
		rgbGen identityLighting
	}
	{
		map textures/bb_dbr/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/bb_dbr/sc_up
{
	qer_editorimage textures/bb_dbr/env/sc_up.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/bb_dbr/env/sc_up.tga
		rgbGen identityLighting
	}
	{
		map textures/bb_dbr/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/bb_dbr/cloud_remap
{
	qer_editorimage textures/bb_dbr/system/cloud_remap.tga
	qer_trans 1.0
	qer_alphafunc greater 0
	surfaceparm trans
	surfaceparm nolightmap
	q3map_noVertexlight
	q3map_globalTexture
	{
		map textures/bb_dbr/system/cloudlayer3.tga
		blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbGen vertex
		tcMod scale 32 32
		tcMod scroll -0.00025 0.00225
	}
	{
		map textures/bb_dbr/system/cloudlayer3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        		rgbGen vertex
        		tcMod scale 32 32
        		tcMod scroll 0.000225 0.0025
    	}
    	{
        		map textures/bb_dbr/system/cloudlayer2.tga
        		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        		rgbGen const ( 0.5 0.5 0.5 )
        		alphaGen vertex
		tcMod scale 4 4
		tcMod scroll -0.000225 -0.0025
	}
}

//Corona

textures/bb_dbr/corona
{
	qer_editorimage textures/bb_dbr/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/bb_dbr/corona.tga
		blendfunc add
		rgbgen identity
	}
}

textures/bb_dbr/corona_red
{
	qer_editorimage textures/bb_dbr/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/bb_dbr/corona.tga
		blendfunc add
		rgbgen const ( 1 0.15 0.15 )
	}
}

textures/bb_dbr/corona_blue
{
	qer_editorimage textures/bb_dbr/corona.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm nolightmap
	cull none
	{
		map textures/bb_dbr/corona.tga
		blendfunc add
		rgbgen const ( 0.15 0.15 1 )
	}
}

//Main

textures/bb_dbr/lig_b064-03a
{
	qer_editorimage textures/bb_dbr/lig_b064-03a.tga
	{
		map textures/bb_dbr/lig_b064-03a.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/bb_dbr/lig_b064-03b.blend.tga
		blendfunc add	
		rgbgen wave sin .5 .3 0 1
	}
}

textures/bb_dbr/lig_b064-03b
{
	qer_editorimage textures/bb_dbr/lig_b064-03b.tga
	{
		map textures/bb_dbr/lig_b064-03b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/bb_dbr/lig_b064-03b.blend.tga
		blendfunc add	
		rgbgen wave sin .5 .3 0 1
	}
}

textures/bb_dbr/lig_b064-03c
{
	qer_editorimage textures/bb_dbr/lig_b064-03c.tga
	{
		map textures/bb_dbr/lig_b064-03c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/bb_dbr/lig_b064-03y.blend.tga
		blendfunc add	
		rgbgen wave sin .5 .3 0 1
	}
}

textures/bb_dbr/lig_b064-03d
{
	qer_editorimage textures/bb_dbr/lig_b064-03d.tga
	{
		map textures/bb_dbr/lig_b064-03d.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/bb_dbr/lig_b064-03y.blend.tga
		blendfunc add	
		rgbgen wave sin .5 .3 0 1
	}
}

textures/bb_dbr/lig_b064-03e
{
	qer_editorimage textures/bb_dbr/lig_b064-03e.tga
	{
		map textures/bb_dbr/lig_b064-03e.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/bb_dbr/lig_b064-03r.blend.tga
		blendfunc add	
		rgbgen wave sin .5 .3 0 1
	}
}

textures/bb_dbr/lig_b064-03f
{
	qer_editorimage textures/bb_dbr/lig_b064-03f.tga
	{
		map textures/bb_dbr/lig_b064-03f.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/bb_dbr/lig_b064-03r.blend.tga
		blendfunc add	
		rgbgen wave sin .5 .3 0 1
	}
}

textures/bb_dbr/lig_064-06b1-2k
{
	qer_editorimage textures/bb_dbr/lig_064-06b1.tga
	q3map_lightimage textures/bb_dbr/lig_064-06b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bb_dbr/lig_064-06r1-2k
{
	qer_editorimage textures/bb_dbr/lig_064-06r1.tga
	q3map_lightimage textures/bb_dbr/lig_064-06r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06r1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bb_dbr/lig_064-06w1-2k
{
	qer_editorimage textures/bb_dbr/lig_064-06w1.tga
	q3map_lightimage textures/bb_dbr/lig_064-06w.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06w1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bb_dbr/lig_064-06y1-2k
{
	qer_editorimage textures/bb_dbr/lig_064-06y1.tga
	q3map_lightimage textures/bb_dbr/lig_064-06y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06y1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_064-06y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bb_dbr/lig_032-04b2-2k
{
	qer_editorimage textures/bb_dbr/lig_032-04b2.tga
	q3map_lightimage textures/bb_dbr/lig_032-04b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04b2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bb_dbr/lig_032-04r2-2k
{
	qer_editorimage textures/bb_dbr/lig_032-04r2.tga
	q3map_lightimage textures/bb_dbr/lig_032-04r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04r2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}


textures/bb_dbr/lig_032-04w2-2k
{
	qer_editorimage textures/bb_dbr/lig_032-04w2.tga
	q3map_lightimage textures/bb_dbr/lig_032-04w.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04w2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bb_dbr/lig_032-04y2-2k
{
	qer_editorimage textures/bb_dbr/lig_032-04y2.tga
	q3map_lightimage textures/bb_dbr/lig_032-04y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04y2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bb_dbr/lig_032-04y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/bb_dbr/clear_ripple1_q3dm1
{
	qer_editorimage textures/bb_dbr/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5		
	{ 
		map textures/bb_dbr/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}	
	{ 
		map textures/bb_dbr/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/bb_dbr/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/bb_dbr/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/bb_dbr/watercaulk.tga
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/bb_dbr/rock01hireslightmap
{
	qer_editorimage textures/bb_dbr/rock_01.jpg
//	q3map_lightmapSize 1024 1024
//	q3map_lightmapsamplesize 16
//	q3map_lightmapBrightness 2.0
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/rock_01.jpg
		blendFunc filter
	}
}

textures/bb_dbr/dirt2hireslightmap
{
	qer_editorimage textures/bb_dbr/dirt2.jpg
//	q3map_lightmapSize 1024 1024
//	q3map_lightmapsamplesize 16
//	q3map_lightmapBrightness 2.0
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/dirt2.jpg
		blendFunc filter
	}
}

textures/bb_dbr/dustb_01hireslightmap
{
	qer_editorimage textures/bb_dbr/dustb_01.jpg
//	q3map_lightmapSize 1024 1024
//	q3map_lightmapsamplesize 16
//	q3map_lightmapBrightness 2.0
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bb_dbr/dustb_01.jpg
		blendFunc filter
	}
}

textures/bb_dbr/rock_graynoise
{
	q3map_nonplanar
	q3map_shadeangle 180
	qer_editorimage textures/bb_dbr/rock_grayvar.tga
	{
		map $lightmap
		rgbGen identity
    	}
    	{
		map textures/bb_dbr/rock_grayvar.tga
		blendFunc filter
	}
	{
    		map textures/bb_dbr/sanddetail.tga
    		blendFunc GL_DST_COLOR GL_SRC_COLOR
    		detail
    		tcMod scale 6 6
    	}
}

textures/bb_dbr/sand
{
	qer_editorimage textures/bb_dbr/sand.tga
	q3map_shadeangle 90
	q3map_nonplanar
	q3map_lightmapbrightness 0.7
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
    	}
    	{
		map textures/bb_dbr/sand.tga
		detail
		blendFunc filter
	}
	{
    		map textures/bb_dbr/sanddetail.tga
    		blendFunc GL_DST_COLOR GL_SRC_COLOR
    		detail
    		tcMod scale 6 6
    	}
}
